package com.example.aprendiendocoreano;

import java.util.ArrayList;



import android.os.Bundle;
import android.app.Activity;
import android.app.ExpandableListActivity;
import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.View;
import android.widget.ExpandableListView;
import android.widget.Toast;
import android.widget.ExpandableListView.OnChildClickListener;

public class ListaLecciones extends ExpandableListActivity implements
OnChildClickListener {

	@Override
	 public void onCreate(Bundle savedInstanceState) {
	  super.onCreate(savedInstanceState);
	  
	  ExpandableListView expandbleLis = getExpandableListView(); //Inicialitzem la llista expandible
	  expandbleLis.setDividerHeight(2); //indiquem l'altura del divisor que hi ha entre els elements de la llista
	  expandbleLis.setGroupIndicator(null); //mantenim la llista plegada inicialment
	  expandbleLis.setClickable(true);//permetre events de tipus click a la vista

	  setGroupData();
	  setChildGroupData();

	  //inicialitzem adaptador amb les nostres dades
	  NewAdapter mNewAdapter = new NewAdapter(groupItem, childItem);
	  
	  mNewAdapter.setInflater((LayoutInflater) getSystemService(Context.LAYOUT_INFLATER_SERVICE),this);
	  getExpandableListView().setAdapter(mNewAdapter);

	  
	 }
	//Inicialitzem els arrays que contendran els elements de la llista 
	//groupItem: nivell 1
	//childItem: nivell 2
	 ArrayList<String> groupItem = new ArrayList<String>();
	 ArrayList<Object> childItem = new ArrayList<Object>();
	 
	//afegim les dades del primer nivell de la llista (nivell de les llicons)
	 public void setGroupData() {
		  groupItem.add("Alfabeto");
		  groupItem.add("Nivel 1");
		  groupItem.add("Nivel 2");
		  groupItem.add("Nivel 3");
		  groupItem.add("Nivel 4");
	 }
	 
	 // Afegint es dades dels elements de nivell 2 (títols de les llicons)
	 public void setChildGroupData() {
		 
		 //Llicons de Alfabeto
		  ArrayList<String> child = new ArrayList<String>();
		  child.add("Alfabeto Completo");
		  child.add("Vocales simples");
		  child.add("Vocales compuestas");
		  child.add("Consonantes");
		  child.add("Consonantes Dobles");
		  childItem.add(child);
	
		  //Llicons del nivell 1
		  child = new ArrayList<String>();
		  child.add("Verbo ser: 이에요/예요");
		  child.add("Tener/estar/haber: 있어요");
		  child.add("No tener/no estar/no haber: 없어요");
		  child.add("Números sino-coreanos");
		  child.add("Números nativo-coreanos");
		  childItem.add(child);

		  //Llicons del nivell 2
		  child = new ArrayList<String>();
		  child.add("Partícula  이/가 (Sujeto)");
		  child.add("Partícula 은 / 는 (Sujeto)");
		  child.add("Partícula 을 / 를 (CD)");
		  child.add("Partícula 들 (Plural)");
		  child.add("Partícula 에 / 에서 (Lugar)");
		  childItem.add(child);

		  //Llicons del nivell 3
		  child = new ArrayList<String>();
		  child.add("Dónde está X?: “X” 어디에 있어요?");
		  child.add("Expresiones de lugar");
		  child.add("Negación: 안/-지 않아다");
		  child.add("Imposibilidad: 못/-지 못하다");
		  child.add("Partículas: 아서/어서/이라서");
		  childItem.add(child);

		  //Llicons del nivell 4
		  child = new ArrayList<String>();
		  child.add("Intención/Suposición: 겠어요-");
		  child.add("Sufijo de pasado: -았어요/-었어요");
		  child.add("Querer hacer algo: V+고 싶어요");
		  child.add("Desde(부터)/ Hasta (까지)");
		  child.add("Posibilidad/habilidad -(으)ㄹ 수 있다");
		  childItem.add(child);

	 }

}
