package com.example.aprendiendocoreano;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.support.v4.view.PagerAdapter;
import android.support.v4.view.ViewPager;
import android.view.Menu;

 
public class Flash extends Activity {
 
    ViewPager viewPager;
    PagerAdapter adapter;
    String[] palabraE; // és l'array de cadenes on es guarden les paraules en español de la llista de flashcards
    String[] palabraC; // és l'array de cadenes on es guarden les paraules en coreà de la llista de flashcards
    String[] interrogantes; // string array que omplirem amb interrogants per mostrar quan la paraula en coreà no es visible

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_flash);
        
        Intent i= getIntent(); //
	    Bundle b = i.getExtras();//rebem les dades enviades des de ListaFlash
	    
	    if(b!=null) {
	    	palabraE = (String[]) b.get("palabrasE"); // copiem a l'string array ´palabraE´ la cadena que s'ha passat des de ListaFlash
	    	palabraC = (String[]) b.get("palabrasC"); // copiem a l'string array ´palabraE´ la cadena de paraules coreanes que s'ha passat des de ListaFlash
	    }
	    
	    //omplim l'array de cadenes que mostra els interrogants
        interrogantes = new String[] { "?", "?", "?", "?", "?", "?", "?", "?", "?", "?" };
 

 
        viewPager = (ViewPager) findViewById(R.id.pager);
        adapter = new ViewPagerAdaptador(this, palabraE, palabraC, interrogantes); // assignem l'adapter amb les nostres dades
        viewPager.setAdapter(adapter);
        
    }
    

    // no s'està utilitant
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

}
