package com.example.aprendiendocoreano;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

 
public class ListaFlash extends Activity {
 
    // Inicialitzem l'array que conté els elements de la llista
    String[] flashList = { "Família", "Comida", "Trabajo", "Emociones", "Ropa", "Hobbies" };
 
    private ListView flashListView;
    private ArrayAdapter arrayAdapter;
    public Activity activity;
 
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_lista_flash);
 
        //inicialitzem la llista
        flashListView = (ListView) findViewById(R.id.listview);
        
         //utilitzem l'adaptador per introduir les dades a la llista
        arrayAdapter = new ArrayAdapter(this, R.layout.mylist_layout, flashList);
        flashListView.setAdapter(arrayAdapter);
        
        /*
         * Pasem les dades adequades segons l'elemnt de la llista on cliquem.
         * Ex: 
         * - Si fem clic sobre l'element 0 de la llista, volem accedir a les targetes de la categoria "Failia",
         * per tant, pasem a l'activitat Flash, la llista de paraules adient.
         */
        flashListView = (ListView)findViewById(R.id.listview);
        flashListView.setOnItemClickListener(new OnItemClickListener(){
            @Override
            public void onItemClick(AdapterView<?> arg0, View v, int posicion, long arg3) {
            	Intent i;
            	String[] palabras;
            	String[] palabrasC;
            	
            	switch(posicion){
            	case 0: palabras = new String[] { "Madre", "Padre", "Hermano mayor (para las chicas)", "Hermano mayor (para los chicos)", "Hermana mayor (para las chicas)", "Hermana mayor (para los chicos)", "Hermano pequeño", "Abuelo", "Abuela" };
		            	palabrasC = new String[] { "어머니", "아버지", "오빠", "형", "언니", "누나", "동생", "할아버지", "할머니" };		
		            	i = new Intent(v.getContext(), Flash.class);
            			i.putExtra("palabrasE", palabras); //array de paraules en espanyol i 
            			i.putExtra("palabrasC", palabrasC); // l'array de paraules en coreà per transmetre a Flash
            			startActivityForResult(i, 0);
            			break;
            	case 1:	palabras = new String[] { "Pan", "Arroz", "Chicle", "Caramelo", "Comida", "Pizza", "Helado", "Pastel", "Manzana" };
		            	palabrasC = new String[] { "빵", "밥", "껌", "사탕", "음식", "피자", "아이스크림","케이크", "사과" };		
		            	i = new Intent(v.getContext(), Flash.class);
		    			i.putExtra("palabrasE", palabras);
		    			i.putExtra("palabrasC", palabrasC);
		    			startActivityForResult(i, 0);
		    			break;
            	case 2: palabras = new String[] { "Cantante", "Enfermera", "Profesor", "Periodista", "Actor", "Doctor", "Pintor/Artista", "Cartero", "Abogado" };
		            	palabrasC = new String[] { "가수", "간호사", "선생님", "기자", "배우", "의사", "화가", "우체부", "변호사" };		
		            	i = new Intent(v.getContext(), Flash.class);
		    			i.putExtra("palabrasE", palabras);
		    			i.putExtra("palabrasC", palabrasC);
		    			startActivityForResult(i, 0);
		    			break;
            	case 3: palabras = new String[] { "Preocupación", "Sentimiento", "Estar avergonzado", "Dar miedo", "Llorar", "Amor", "Estar feliz", "Estar aburrido", "Sonreír" };
		            	palabrasC = new String[] { "걱정", "기분 ", "창피하다", "무섭다", "울다", "사랑", "행복하다 ", "심심하다", "웃다" };		
		            	i = new Intent(v.getContext(), Flash.class);
		    			i.putExtra("palabrasE", palabras);
		    			i.putExtra("palabrasC", palabrasC);
		    			startActivityForResult(i, 0);
		    			break;
            	case 4:	palabras = new String[] { "Pantalones", "Falda", "Vestido", "Camiseta", "Manga corta", "Traje", "Suéter", "Abrigo", "Chaqueta" };
		            	palabrasC = new String[] { "바지", "치마", "원피스", "티셔츠", "반팔", "양복", "스웨터", "코트", "잠파" };		
		            	i = new Intent(v.getContext(), Flash.class);
		    			i.putExtra("palabrasE", palabras);
		    			i.putExtra("palabrasC", palabrasC);
		    			startActivityForResult(i, 0);
    			break;
            	case 5:	palabras = new String[] { "Juego", "Pescar", "Lectura", "Coleccionar", "Bailar", "Película", "Hobby", "Música", "Cantar" };
		            	palabrasC = new String[] { "게임", "낚시", "독서", "수집하다", "춤을 추다", "영화", "취미", "음악", "노래를 부르다" };		
		            	i = new Intent(v.getContext(), Flash.class);
		    			i.putExtra("palabrasE", palabras);
		    			i.putExtra("palabrasC", palabrasC);
		    			startActivityForResult(i, 0);
		    			break;
            		
            	}
            }
 
    });
    }
}
