package com.example.aprendiendocoreano;

import java.util.ArrayList;
import android.app.Activity;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.CheckedTextView;
import android.widget.TextView;


public class NewAdapter extends BaseExpandableListAdapter {


	 public ArrayList<String> groupItem, tempChild;
	 public ArrayList<Object> Childtem = new ArrayList<Object>();
	 public LayoutInflater minflater;
	 public Activity activity;

	 public NewAdapter(ArrayList<String> grList, ArrayList<Object> childItem) {
		  groupItem = grList;
		  this.Childtem = childItem;
	 }

	 public void setInflater(LayoutInflater mInflater, Activity act) {
		  this.minflater = mInflater;
		  activity = act;
	 }

	 @Override
	 public Object getChild(int groupPosition, int childPosition) {
		 return null;
	 }

	 @Override
	 public long getChildId(int groupPosition, int childPosition) {
		 return 0;
	 }

	 /*
	  * Anem crean les vistes dels elements de la sub-llista
	  * 
	  */
	 @Override
	 public View getChildView(final int groupPosition, final int childPosition, boolean isLastChild, View convertView, ViewGroup parent) {
		 
		 tempChild = (ArrayList<String>) Childtem.get(groupPosition);
		 TextView text = null;
		 
		 if (convertView == null) {
			 convertView = minflater.inflate(R.layout.childrow, null);
		 }
		 
		 text = (TextView) convertView.findViewById(R.id.textView1);
		 text.setText(tempChild.get(childPosition));
		 
		 /*
		  * Depenent de l'element de la llista seleccionat passem les cadenes de dades necessàries a l'activitat Leccion.
		  * Per exemple:
		  * Si es fa click sobre el la llico "Alfabeto completo" (childPosition == 0) 
		  * del nivell "Alfabeto" (groupPosition==0), s'ha de passar les cadenes que contenen l'explicació d'aquesta llico
		  */
		 convertView.setOnClickListener(new View.OnClickListener() {
			 @Override
		   public void onClick(View v) {
			   Intent i;
			   String s1;
			   String s2;
			   switch(groupPosition){
			   //Alfabeto
				   case 0:
					   switch(childPosition){
					   //Alfabeto Completo
						   case 0:
							   s1="Letra coreana : Romanización\n" +
							   		"CONSONANTES:\n" +
							   		"ㄱ:g/k  ㄴ: n  ㄷ: d/t  ㄹ:l/r  ㅁ:m  ㅂ:b/p  ㅅ:s/t  ㅇ:-ng/*  ㅈ: j/t\n " +
							   		"ㅋ: k'  ㅊ:ch/t    ㅌ:t'  ㅍ:p'	ㅎ:h\n" +
							   		"ㄲ: kk  ㄸ:tt  ㅃ:pp  ㅆ:ss  ㅉ:jj\n";
							   s2="VOCALES:\n" +
							   		"ㅏ: a  ㅓ: eo  ㅗ:o  ㅜ:u   ㅡ:eu  ㅣ:i  ㅐ:ae  ㅔ:e \n\n" +
							   		"ㅑ:ya  ㅕ: yeo  ㅛ:yo  ㅠ:yu  ㅒ:yae  ㅖ:ye\n\n	" +
							   		"ㅚ:oe  ㅟ:wi  ㅢ:ui\n" +
							   		"ㅘ:wa  ㅝ:weo  ㅙ:wae  ㅞ:we		";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1); //passant les cadenes de text a Leccion
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;
					   //Vocales
						   case 1:
							   s1="Las vocales simples del alfabeto coreano son:\n" +
									   "ㅏ: a  ㅓ: eo  ㅗ:o  ㅜ:u   ㅡ:eu  ㅣ:i  ㅐ:ae  ㅔ:e\n";
							   s2="ㅏ: suena como la a en español\n" +
									 "ㅓ: suena como una o pero con la boca más abierta \n" +
									 "ㅗ: suena como una o pero más cerrada que en español\n" +
									 "ㅜ: suena como la u \n  " +
									 "ㅡ:eu \n " +
									 "ㅣ: como la i en español\n" +
									 "ㅐ: como la e pero más abierta\n" +
									 "ㅔ: igual que la e española";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;
						       
				      //Vocales compuestas
						   case 2:
							   s1="La vocales compuestas son:";
							   s2="ㅑ:ya  ㅕ: yeo  ㅛ:yo  ㅠ:yu  ㅒ:yae  ㅖ:ye\n\n	" +
								   		"ㅚ:oe  ㅟ:wi  ㅢ:ui\n" +
								   		"ㅘ:wa  ㅝ:weo  ㅙ:wae  ㅞ:we		";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;
						       
					    //Consonantes
						   case 3:
							   s1="Consonantes simples: ";
							   s2="ㄱ:g/k  ㄴ: n  ㄷ: d/t  ㄹ:l/r  ㅁ:m  ㅂ:b/p  ㅅ:s/t  ㅇ:-ng/*  ㅈ: j/t\n\n " +
							   		"ㅋ: k'  ㅊ:ch/t    ㅌ:t'  ㅍ:p'	ㅎ:h";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;     
						       
						//Consonantes Dobles       
						   case 4:
							   s1="Consonantes compuestas:";
							   s2="ㄲ: kk  ㄸ:tt  ㅃ:pp  ㅆ:ss  ㅉ:jj";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;  
					   }
					   break;
					//Nivel 1   
				   case 1:
					   switch(childPosition){
						   case 0:
							   s1="Añadimos 이에요/예요 detrás de un nombre para formar el verbo ser:\n" +
								   		"- Nombres acabados en vocal + 예요\n" +
								   		"- Nombres acabados en consonante + 이에요";
							   s2="Ejemplos:\n" +
								   		"A: 어느 나라 사람이에요? (¿De dónde eres?)\n" +
								   		"B: 저는 스페인 사람이에요.(Soy español)\n\n" +
								   		"A: 이거 뭐예요? (¿Qué es esto?)\n" +
								   		"B: 제 코트예요. (Es mi abrigo)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;				       
						   case 1:
							   s1="El verbo 있어요 significa Tener, estar o haber. Con este verbo el sujeto siempre irá marcado con el " +
							   		"sufijo 이/가 y para indicar lugar se utilizará siempre el sufijo 에";
							   s2="Ejemplos:\n" +
							   		"- 선생님이 교실에 있어요 (La profesora está en clase)\n" +
							   		"- 저는 차가 있어요 (tengo un coche)\n " +
							   		"- 냉장고가 방에 있어요? (¿Hay nevera en la habitación?)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;
						   case 2:
							   s1="El verbo 없어요 significa no tener, no estar o no haber. Con este verbo el sujeto siempre irá marcado con " +
							   		"el sufijo 이/가 y para indicar lugar se utilizará siempre el sufijo 에";
							   s2="Ejemplos:\n " +
							   		"- 선생님이 교실에 없어요 (La profesora no está en clase)\n" +
							   		"- 저는 차가 없어요 (No tengo coche)\n" +
							   		"- 냉장고가 방에 없어요 (No hay nevera en la habitación)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;
						   case 3:
							   s1="Los números sino/coreanos se utilizan para indicar la planta de un edificio, para hablar de dinero, para indicar una fecha (años, mes y día) y para indicar los minutos.\n" +
							   		"1 일, 2 이, 3 삼, 4 사, 5 오, 6 육, 7 칠, 8 팔, 9 구, 10 십.";
							   s2="Ejemplos:\n" +
							   		"- 일월(enero, mes 1)\n" +
							   		"- 저는 삼층에 있어요 (estoy en la planta 3.)\n" +
							   		"- 이분 (2 minutos)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;     
						   case 4:
							   s1="Los números nativo/coreanos se utilizan para indicar la hora, la edad y para contar personas y objetos.\n" +
							   		"1 하나, 2 둘, 3 셋, 4 넷, 5 다섯, 6 여섯, 7 일곱, 8 여덟, 9 아홉, 10 열.";
							   s2="Ejemplos:\n" +
							   		"- 저는 아홉살이에요. (tengo 9 años.)\n" +
							   		"- 다섯 시예요. (son las 5 -horas- en punto.)\n" +
							   		"- 열 사람이 있어요. (hay 10 personas)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;   
						   }
						   break;
					//Nivel 2   
				   case 2:
					   switch(childPosition){
						   case 0:
							   s1="Esta forma de marcar el sujeto se utiliza cuando la información importante no está en el predicado sino en el sujeto." +
							   		"Esta forma de sujeto se utiliza siempre si utilizamos un verbo de descripción.\n" +
							   		"Para formar el sujeto la partícula se añade al final del nombre:\n" +
							   		"- Si acaba en vocal se añade 가\n" +
							   		"- Si acaba en consonante se añade 이";
							   s2="Ejemplos:\n" +
							   		"- 친구가 사과를 먹어요 (Mi amigo come manzana).\n" +
							   		"- 선생님이 한국어를 가르쳐요 (La profesora enseña coreano).\n" +
							   		"- 어머니가 책을 읽어요 (La madre lee un libro).";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;				       
						   case 1:
							   s1="Esta forma de marcar el sujeto se utiliza cuando la información importante está en el predicado.\n" +
							   		"Cuando el sujeto se marca con esta partícula se podría omitir.\n" +
							   		"Para formar el sujeto la partícula se añade al final del nombre:\n" +
							   		"- Si acaba en vocal se añade 는.\n" +
							   		"- Si acaba en consonante se añade 은.";
							   s2="Ejemplos:\n" +
							   		"- 저는 고기를 먹어요 (Yo como carne)\n" +
							   		"A. 선생님이 무엇을 읽어요? (¿Qué lee la profesora?)\n" +
							   		"B. 선생님은 책을 읽어요. (La profesora lee un libro)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;
						   case 2:
							   s1="Esta partícula se añade al nombre para que éste haga la función de complemento directo en la oración.\n" +
							   		"- Nombre acabado en vocal + 를\n" +
							   		"- Nombre acabado en consonante + 을";
							   s2="Ejemplos:\n " +
							   		"- 저는 영화를 봐요 (Yo veo películas)\n" +
							   		"- 어머니가 옷을 사요 (La madre compra ropa)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;
						   case 3:
							   s1="Esta partícula se añade al final del nombre para formar el plural: Nombre + 들\n" +
							   		"- Para formar un sujeto plural: nombre + 들 + partícula de sujeto\n" +
							   		"- Para formar un objeto plural como CD: nombre + 들 + partícula de CD";
							   s2="Ejemplos:\n" +
							   		"- 사과들이 맛있어요 Las manzanas son deliciosas.\n" +
							   		"- 학생들이 책들을 읽어요 Los estudiantes leen libros";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;     
						   case 4:
							   s1="Las partículas 에 y 에서 se colocan detrás de un nombre que indica lugar:\n" +
							   		"- 에 (a/en) se utiliza con verbos como ~에 있다 (estar en ~), ~에 가다 (ir a ~) y ~에 (venir a ~)\n" +
							   		"- 에서 (en) se utiliza con otros verbos para indicar donde tiene lugar una acción";
							   s2="Ejemplos:\n" +
							   		"- 저는 커피숍에 있어요. (Estoy en la cafetería)\n" +
							   		"- 저는 학교에 가요 (Voy a la escuela)\n" +
									"- 저는 도서관에서 공부해요. (Estudio en la biblioteca)\n" +
							   		"- 저는 극장에서 영화를 봐요. (Veo una película en el cine)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;  
					   }
					   break;
					//Nivel 3   
				   case 3:
					   switch(childPosition){
						   case 0:
							   s1="Utilizamos “X” 어디에 있어요? para preguntar donde está algo o alguien:\n" +
							   		"Nombre + Partícula de sujeto + 어디에 있어요";
							   s2="Ejemplos:\n" +
							   		"A: 도서관이 어디에 있어요? (¿Dónde está la biblioteca?)\n" +
							   		"B: 도서관이 학교뒤에 있어요 (La biblioteca está detrás de la escuela)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;				       
						   case 1:
							   s1="~ 위 + 에 = Encima de ~\n" +
							   		"~ 아래 + 에 = Debajo de ~\n" +
							   		"~ 뒤 + 에 = Detrás de ~\n" +
							   		"~ 앞 + 에 = Delante de ~";
							   s2="Ejemplos:\n" +
							   		"- 책이 책상 위에 있어요. (El libro está encima del escritorio)\n" +
							   		"- 고양이가 식탁 아래에 있어요. (El gato está debajo de la mesa)\n" +
							   		"- 선생님이 책상 뒤에 있어요. (La profesora está detrás del escritorio)\n" +
							   		"- 고양이가 의자 앞에 있어요. (El gato está delante de la silla)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;
						   case 2:
							   s1="Para formar el negativo de una frase hay dos opciones:\n" +
								   		"- Colocar -지 않아요 detrás del verbo\n" +
								   		"- Colocar 안 delante del verbo. En los verbos acabados en 하다, 안 se coloca entre el nombre y 하다.";
							   s2="Ejemplos:\n" +
								   		"- 저는 오늘 학교에 가지 않아요 (Hoy no voy a clase).\n" +
								   		"- 날씨가 안 좋아요 (No hace buen tiempo).\n" +
								   		"- 로사 씨는 공부 안 해요(Rosa no estudia).";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;
						   case 3:
							   s1="Para expresar que no se tiene la habilidad de hacer algo o que algo es imposible podemos:\n" +
							   		"- Colocar -지 못하다 detrás del verbo.\n" +
							   		"- Colocar 못 delante del verbo. En los verbos acabados en 하다, 못 se coloca entre el nombre y 하다.";
							   s2="Ejemplos:\n" +
							   		"- 친구를 만나지 못 했어요(No pude quedar con mi amigo).\n" +
							   		"- 저는 수영을 못 해요(No sé nadar).\n" +
							   		"- 오늘 술을 못 마셔요(No puedo beber alcohol).";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;     
						   case 4:
							   s1="아서/어서/이라서 significa “por eso” y se utiliza para conectar dos frases: la primera contiene la causa de la siguiente frase.\n" +
							   		"- Verbos acabados en 아/오 + 아서\n" +
							   		"- Verbos no acabados en 아/오+ 어서\n" +
							   		"- Nombres + 이라서";
							   s2="Ejemplos:\n" +
							   		"- 김치를 안 좋아해서 먹고 싶지 않아요(No me gusta el kimchi, por eso no quiero comerlo).\n" +
							   		"- 표가 없어서 영화를 못 봤어요 (No hay entradas, por eso, no puedo ver la película).\n" +
							   		"- 친구 생일이라서 케이크를 샀어요 (Es el cumpleaños de mi amigo, por eso he comprado un pastel).";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;  
					   }
					   break;
					
				//Nivel 4
				   case 4:
					   switch(childPosition){
						   case 0:
							   s1="La partícula ~겠어요 tiene dos significados:\n" +
							   		"1. Expresar la intención o plan del hablante\n" +
							   		"2. Expresar suposición sobre algo";
							   s2="Ejemplos:\n" +
							   		"1. 저는 내일 도서관에 가겠어요. (Mañana iré a la biblioteca)\n" +
							   		"2. 맛있겠어요 . (Parece delicioso)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;				       
						   case 1:
							   s1="Para conjugar un verbo en pasado solo hay que añadir el sufijo correspondiente:\n" +
							   		"- Verbos con última vocal ㅏ, ㅗ + 았어요 (가다  -> 가 + 았어요 = 갔어요)\n" +
							   		"- Verbos acabados en otra vocal + 었어요 (먹다 -> 먹 + 었어요 = 먹었어요)";
							   s2="Ejemplos:\n" +
							   		"- 저는 어제 친구를 만났어요. (Ayer me encontré con un amigo)\n" +
							   		"- 저는 어제 책을 읽었어요. (Ayer leí un libro)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;
						   case 2:
							   s1="Se añade ~고 싶어요 a los verbos de acción para indicar que se quiere hacer una cosa";
							   s2="Ejemplos:\n" +
							   		"-저는 영화를 보고 싶어요. (Quiero ver la película)\n" +
							   		"-저는 커피를 마시고 싶어요. (Quiero tomar  un café)" +
							   		"-저는 서울에 가고 싶어요. (Quiero ir a Seúl)";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0); 
						       break;
						   case 3:
							   s1="-부터- colocado detrás de una palabra relacionada con el tiempo (como hora, día, una fecha, etc) significa -desde-. -까지- Significa -hasta-";
							   s2="Ejemplos:\n" +
							   		"- 영어를 할 수 있어요 (Sé hablar inglés).\n" +
							   		"- 한글을 읽을 수 있어요(Puedo leer letras coreanas).";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;     
						   case 4:
							   s1="-(으)ㄹ 수 있다 se utiliza para expresar posibilidad o habilidad:\n" +
							   		"- Verbos acabados en vocal + -ㄹ 수 있다\n" +
							   		"- Verbos acabados en consonante + -을 수 있다";
							   s2="Ejemplos:\n" +
							   		"- 영어를 할 수 있어요 (Sé hablar inglés).\n" +
							   		"- 한글을 읽을 수 있어요(Puedo leer letras coreanas).";
							   i = new Intent(v.getContext(), Leccion.class);
							   i.putExtra("text1", s1);
							   i.putExtra("text2", s2);
						       activity.startActivityForResult(i, 0);  
						       break;  
					   }
					   break;
				   
			   	}

			 }
		 });
	  return convertView;
	 }

	 @Override
	 public int getChildrenCount(int groupPosition) {
		 return ((ArrayList<String>) Childtem.get(groupPosition)).size();
	 }

	 @Override
	 public Object getGroup(int groupPosition) {
		 return null;
	 }

	 @Override
	 public int getGroupCount() {
		 return groupItem.size();
	 }

	 @Override
	 public void onGroupCollapsed(int groupPosition) {
		 super.onGroupCollapsed(groupPosition);
	 }

	 @Override
	 public void onGroupExpanded(int groupPosition) {
		 super.onGroupExpanded(groupPosition);
	 }

	 @Override
	 public long getGroupId(int groupPosition) {
		 return 0;
	 }

	 //crean la vista del nivell 1 de la llista
	 @Override
	 public View getGroupView(int groupPosition, boolean isExpanded, View convertView, ViewGroup parent) {
		 if (convertView == null) convertView = minflater.inflate(R.layout.grouprow, null);
		 ((CheckedTextView) convertView).setText(groupItem.get(groupPosition));
		 ((CheckedTextView) convertView).setChecked(isExpanded);
		 
		 return convertView;
	 }

	 @Override
	 public boolean hasStableIds() {
		 return false;
	 }
	 

	 @Override
	 public boolean isChildSelectable(int groupPosition, int childPosition) {
		 return true;
	 }
	 
	 

}
